WebM Codec SDK

Data Structures | Typedefs | Enumerations
vp8.h File Reference
Supported Codecs » VP8

Provides controls common to both the VP8 encoder and decoder. More...

`#include "./vpx_codec.h"`
`#include "./vpx_image.h"`

Go to the source code of this file.

## Data Structures
struct | vp8_postproc_cfg
| post process flags More...
struct | vpx_ref_frame
| reference frame data struct More...
struct | vp9_ref_frame
| VP9 specific reference frame data struct. More...

## Typedefs
typedef struct vp8_postproc_cfg | vp8_postproc_cfg_t
| post process flags
typedef enum vpx_ref_frame_type | vpx_ref_frame_type_t
| reference frame type
typedef struct vpx_ref_frame | vpx_ref_frame_t
| reference frame data struct
typedef struct vp9_ref_frame | vp9_ref_frame_t
| VP9 specific reference frame data struct.

## Enumerations
enum | vp8_com_control_id { VP8_SET_REFERENCE = 1 , VP8_COPY_REFERENCE = 2 , VP8_SET_POSTPROC = 3 , VP9_GET_REFERENCE = 128 , VP8_COMMON_CTRL_ID_MAX , VP8_DECODER_CTRL_ID_START = 256 }
| Control functions. More...
enum | vp8_postproc_level { VP8_NOFILTERING = 0 , VP8_DEBLOCK = 1 << 0 , VP8_DEMACROBLOCK = 1 << 1 , VP8_ADDNOISE = 1 << 2 , VP8_MFQE = 1 << 3 }
| post process flags More...
enum | vpx_ref_frame_type { VP8_LAST_FRAME = 1 , VP8_GOLD_FRAME = 2 , VP8_ALTR_FRAME = 4 }
| reference frame type More...

## Detailed Description

Provides controls common to both the VP8 encoder and decoder.